package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(name="maint_usergroup_roles")
public class MaintUsergroupRoles implements Serializable {

	/*	Table: maint_usergroup_roles
	------------------------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      PRI     0                                               select,insert,update,references           
	ug_role_code            varchar(20)   latin1_swedish_ci  NO      PRI     (NULL)                                          select,insert,update,references           
	ug_role_name            varchar(50)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	ug_role_desc            varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	auth_rej_remarks        varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
*/
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="ug_role_code")
	private String ugRoleCode;
	
	@Column(name="ug_role_name")
	private String ugRoleName;
	
	@Column(name="ug_role_desc")
	private String ugRoleDesc;
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;

	@Column(name = "entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	@Transient
	List<MaintRoleEntitlement> maintRoleEntitlements;
	
	private transient Integer rolesCount;	
	
	
	/**
	 * @return the authRejRemarks
	 */
	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	/**
	 * @param authRejRemarks the authRejRemarks to set
	 */
	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the maintRoleEntitlements
	 */
	public List<MaintRoleEntitlement> getMaintRoleEntitlements() {
		return maintRoleEntitlements;
	}

	/**
	 * @param maintRoleEntitlements the maintRoleEntitlements to set
	 */
	public void setMaintRoleEntitlements(List<MaintRoleEntitlement> maintRoleEntitlements) {
		this.maintRoleEntitlements = maintRoleEntitlements;
	}

	/**
	 * @return the ugRoleCode
	 */
	public String getUgRoleCode() {
		return ugRoleCode;
	}

	/**
	 * @param ugRoleCode the ugRoleCode to set
	 */
	public void setUgRoleCode(String ugRoleCode) {
		this.ugRoleCode = ugRoleCode;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the ugRoleName
	 */
	public String getUgRoleName() {
		return ugRoleName;
	}

	/**
	 * @param ugRoleName the ugRoleName to set
	 */
	public void setUgRoleName(String ugRoleName) {
		this.ugRoleName = ugRoleName;
	}

	/**
	 * @return the ugRoleDesc
	 */
	public String getUgRoleDesc() {
		return ugRoleDesc;
	}

	/**
	 * @param ugRoleDesc the ugRoleDesc to set
	 */
	public void setUgRoleDesc(String ugRoleDesc) {
		this.ugRoleDesc = ugRoleDesc;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	public Integer getRolesCount() {
		return rolesCount;
	}

	public void setRolesCount(Integer rolesCount) {
		this.rolesCount = rolesCount;
	}

	
}
